Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoLayout Class Reference
GoSdk

## Description

Represents a layout related sensor configuration.

Inherits kObject.

## Public Member Functions
kStatus | GoLayout_EnableMultiplexBuddy (GoLayout layout, kBool enable)
| Enables buddied sensor multiplexing with automated parameter calculation. More...
kStatus | GoLayout_EnableMultiplexSingle (GoLayout layout, kBool enabled)
| Enables single sensor(not buddied) configuration multiplexing. More...
kBool | GoLayout_MultiplexBuddyEnabled (GoLayout layout)
| Returns a boolean value representing whether or not multiplexing is enabled in a buddied configuration. More...
k64f | GoLayout_MultiplexSingleDelay (GoLayout layout)
| Returns a value representing the multiplexing delay in a single device sensor configuration. More...
kBool | GoLayout_MultiplexSingleEnabled (GoLayout layout)
| Returns a boolean value representing whether or not multiplexing is enabled in a single device configuration. More...
k64f | GoLayout_MultiplexSingleExposureDuration (GoLayout layout)
| Returns a value representing the multiplexing exposure duration in a single device sensor configuration. More...
k64f | GoLayout_MultiplexSinglePeriod (GoLayout layout)
| Returns a value representing the multiplexing period in a single device sensor configuration. More...
k64f | GoLayout_MultiplexSinglePeriodMin (GoLayout layout)
| Returns a value representing the minimum multiplexing period in a single device sensor configuration. More...
GoOrientation | GoLayout_Orientation (GoLayout layout)
| Returns the current orientation used when buddied. More...
kStatus | GoLayout_SetMultiplexSingleDelay (GoLayout layout, k64f value)
| Sets the single sensor multiplexing delay. More...
kStatus | GoLayout_SetMultiplexSinglePeriod (GoLayout layout, k64f value)
| Sets the single sensor multiplexing period. More...
kStatus | GoLayout_SetOrientation (GoLayout layout, GoOrientation orientation)
| Sets the buddied sensor configuration orientation. More...
k64f | GoLayout_TransformedDataRegionHeight (GoLayout layout)
| Returns the transformed data region height value. More...
k64f | GoLayout_TransformedDataRegionLength (GoLayout layout)
| Returns the transformed data region length value. More...
k64f | GoLayout_TransformedDataRegionWidth (GoLayout layout)
| Returns the transformed data region width value. More...
k64f | GoLayout_TransformedDataRegionX (GoLayout layout)
| Returns the transformed data region X-component value. More...
k64f | GoLayout_TransformedDataRegionY (GoLayout layout)
| Returns the transformed data region Y-component value. More...
k64f | GoLayout_TransformedDataRegionZ (GoLayout layout)
| Returns the transformed data region Z-component value. More...

## Member Function Documentation

kStatus GoLayout_EnableMultiplexBuddy | ( | GoLayout | layout,
|  | kBool | enable
| ) |  |

Enables buddied sensor multiplexing with automated parameter calculation.

Parameters

  layout | GoLayout object.
  enable | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

kStatus GoLayout_EnableMultiplexSingle | ( | GoLayout | layout,
|  | kBool | enabled
| ) |  |

Enables single sensor(not buddied) configuration multiplexing.

Parameters

  layout | GoLayout object.
  enabled | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

kBool GoLayout_MultiplexBuddyEnabled | ( | GoLayout | layout | ) |

Returns a boolean value representing whether or not multiplexing is enabled in a buddied configuration.

Parameters

  layout | GoLayout object.

Returns
  kTRUE if multiplexing is enabled for a buddied configuration. kFALSE otherwise.

k64f GoLayout_MultiplexSingleDelay | ( | GoLayout | layout | ) |

Returns a value representing the multiplexing delay in a single device sensor configuration.

Parameters

  layout | GoLayout object.

Returns
  Single device multiplexing delay.

kBool GoLayout_MultiplexSingleEnabled | ( | GoLayout | layout | ) |

Returns a boolean value representing whether or not multiplexing is enabled in a single device configuration.

Parameters

  layout | GoLayout object.

Returns
  kTRUE if multiplexing is enabled. kFALSE otherwise.

k64f GoLayout_MultiplexSingleExposureDuration | ( | GoLayout | layout | ) |

Returns a value representing the multiplexing exposure duration in a single device sensor configuration.

Parameters

  layout | GoLayout object.

Returns
  Single device multiplexing exposure duration.

k64f GoLayout_MultiplexSinglePeriod | ( | GoLayout | layout | ) |

Returns a value representing the multiplexing period in a single device sensor configuration.

Parameters

  layout | GoLayout object.

Returns
  Single device multiplexing period.

k64f GoLayout_MultiplexSinglePeriodMin | ( | GoLayout | layout | ) |

Returns a value representing the minimum multiplexing period in a single device sensor configuration.

Parameters

  layout | GoLayout object.

Returns
  Single device multiplexing period minimum value.

GoOrientation GoLayout_Orientation | ( | GoLayout | layout | ) |

Returns the current orientation used when buddied.

Parameters

  layout | GoLayout object.

Returns
  Buddied device orientation.

kStatus GoLayout_SetMultiplexSingleDelay | ( | GoLayout | layout,
|  | k64f | value
| ) |  |

Sets the single sensor multiplexing delay.

Parameters

  layout | GoLayout object.
  value | The delay (in uS) to set.

Returns
  Operation status.

kStatus GoLayout_SetMultiplexSinglePeriod | ( | GoLayout | layout,
|  | k64f | value
| ) |  |

Sets the single sensor multiplexing period.

Parameters

  layout | GoLayout object.
  value | The multiplexing period (in uS) to set.

Returns
  Operation status.

kStatus GoLayout_SetOrientation | ( | GoLayout | layout,
|  | GoOrientation | orientation
| ) |  |

Sets the buddied sensor configuration orientation.

Parameters

  layout | GoLayout object.
  orientation | The orientation to set.

Returns
  Operation status.

k64f GoLayout_TransformedDataRegionHeight | ( | GoLayout | layout | ) |

Returns the transformed data region height value.

Parameters

  layout | GoLayout object.

Returns
  Transformed data region value.

k64f GoLayout_TransformedDataRegionLength | ( | GoLayout | layout | ) |

Returns the transformed data region length value.

Parameters

  layout | GoLayout object.

Returns
  Transformed data region value.

k64f GoLayout_TransformedDataRegionWidth | ( | GoLayout | layout | ) |

Returns the transformed data region width value.

Parameters

  layout | GoLayout object.

Returns
  Transformed data region value.

k64f GoLayout_TransformedDataRegionX | ( | GoLayout | layout | ) |

Returns the transformed data region X-component value.

Parameters

  layout | GoLayout object.

Returns
  Transformed data region value.

k64f GoLayout_TransformedDataRegionY | ( | GoLayout | layout | ) |

Returns the transformed data region Y-component value.

Parameters

  layout | GoLayout object.

Returns
  Transformed data region value.

k64f GoLayout_TransformedDataRegionZ | ( | GoLayout | layout | ) |

Returns the transformed data region Z-component value.

Parameters

  layout | GoLayout object.

Returns
  Transformed data region value.

The documentation for this class was generated from the following file:

- GoLayout.h